interface SystemConfig {
    port: number;
}

const systemConfig: SystemConfig = {
    port: 3000
};

async function initConfig(): Promise<void> {
    return new Promise((resolve) => {
        setTimeout(() => {
            console.log("Configuration Initialized");
            resolve();
        }, 1000);
    });
}

export { initConfig, systemConfig };
