import * as http from 'http';

const httpServer = {
    createServer(port: number): void {
        const server = http.createServer((req, res) => {
            res.statusCode = 200;
            res.setHeader('Content-Type', 'text/plain');
            res.end('Hello World\n');
        });

        server.listen(port, () => {
            console.log(`Server running at http://localhost:${port}/`);
        });
    }
};

export { httpServer };
